unit UFormAbout;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Menus,
  StdCtrls, UApplicationInfo, UCommon;

type

  { TFormAbout }

  TFormAbout = class(TForm)
    ApplicationInfo1: TApplicationInfo;
    ButtonHomePage: TButton;
    ButtonClose: TButton;
    LabelAppName: TLabel;
    LabelDescription: TLabel;
    LabelContent: TLabel;
    procedure ButtonHomePageClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  FormAbout: TFormAbout;

implementation

{$R *.lfm}

resourcestring
  SVersion = 'Version';
  SReleaseDate = 'Release date';
  SLicense = 'License';

{ TFormAbout }

procedure TFormAbout.FormShow(Sender: TObject);
begin
  LabelAppName.Caption := ApplicationInfo1.AppName;
  LabelContent.Caption := SVersion + ': ' + ApplicationInfo1.Version + LineEnding +
    SReleaseDate + ': ' + DateToStr(ApplicationInfo1.ReleaseDate) + LineEnding +
    SLicense + ': ' + ApplicationInfo1.License;
end;

procedure TFormAbout.ButtonHomePageClick(Sender: TObject);
begin
  OpenWebPage(ApplicationInfo1.HomePage);
end;

procedure TFormAbout.FormCreate(Sender: TObject);
begin

end;

end.

