unit UFormAcronym;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Menus,
  StdCtrls, ActnList, UAcronym;

type

  { TFormAcronym }

  TFormAcronym = class(TForm)
    ACategoryRemove: TAction;
    ACategoryAdd: TAction;
    ActionList1: TActionList;
    Button1: TButton;
    Button2: TButton;
    ButtonOk: TButton;
    ButtonCancel: TButton;
    EditAcronym: TEdit;
    EditMeaning: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    ListBox1: TListBox;
    MemoDescription: TMemo;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    PopupMenuCategory: TPopupMenu;
    procedure ACategoryAddExecute(Sender: TObject);
    procedure ACategoryRemoveExecute(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure FormShow(Sender: TObject);
    procedure ListBox1SelectionChange(Sender: TObject; User: boolean);
  private
    procedure UpdateInterface;
  public
    procedure Load(Entry: TAcronymEntry);
    procedure Save(Entry: TAcronymEntry);
  end;

var
  FormAcronym: TFormAcronym;

implementation

{$R *.lfm}

uses
  UFormMain, UFormCategorySelect;

{ TFormAcronym }

procedure TFormAcronym.FormKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = 13 then ButtonOk.Click;
  if Key = 27 then ButtonCancel.Click;
end;

procedure TFormAcronym.FormClose(Sender: TObject; var CloseAction: TCloseAction
  );
begin
  FormMain.PersistentForm1.Save(Self);
end;

procedure TFormAcronym.ACategoryAddExecute(Sender: TObject);
var
  I: Integer;
begin
  FormCategorySelect.Load(ListBox1.Items);
  if FormCategorySelect.ShowModal = mrOk then begin
    for I := 0 to FormCategorySelect.ListBox1.Count - 1 do
      if FormCategorySelect.ListBox1.Selected[I] then begin
        ListBox1.Items.AddObject(FormCategorySelect.ListBox1.Items[I], FormCategorySelect.ListBox1.Items.Objects[I]);
      end;
  end;
end;

procedure TFormAcronym.ACategoryRemoveExecute(Sender: TObject);
var
  I: Integer;
begin
  if MessageDlg(SRemoveCategory, SRemoveCategoryQuery,
  TMsgDlgType.mtConfirmation, [mbCancel, mbOk], 0) = mrOk then begin
    for I := ListBox1.Items.Count - 1 downto 0 do
    if ListBox1.Selected[I] then
      ListBox1.Items.Delete(I);
    UpdateInterface;
  end;
end;

procedure TFormAcronym.FormShow(Sender: TObject);
begin
  FormMain.PersistentForm1.Load(Self);
  UpdateInterface;
end;

procedure TFormAcronym.ListBox1SelectionChange(Sender: TObject; User: boolean);
begin
  UpdateInterface;
end;

procedure TFormAcronym.UpdateInterface;
begin
  ACategoryRemove.Enabled := ListBox1.ItemIndex <> -1;
end;

procedure TFormAcronym.Load(Entry: TAcronymEntry);
begin
  EditAcronym.Text := Entry.Name;
  EditMeaning.Text := Entry.Meaning;
  MemoDescription.Text := Entry.Description;
  ListBox1.Items.Assign(Entry.Categories);
end;

procedure TFormAcronym.Save(Entry: TAcronymEntry);
begin
  Entry.Name := EditAcronym.Text;
  Entry.Meaning := EditMeaning.Text;
  Entry.Description := MemoDescription.Text;
  Entry.Categories.Assign(ListBox1.Items);
end;

end.

